@marien Salut ! Es-tu au courant que demo.freshrss.org/ renvoie une erreur HTTP 502 (Alkarex m'a transféré vers toi) ?

Au fait pour flus.io, connais-tu également l'application "FreshRSS" pour Android sur F-droid, développée par @AugierLe42e ?

@nicofrand Ah merci, c'est réparé !

Oui je connais l'application, j'avais proposé à @AugierLe42e d'ouvrir une PR pour l'ajouter à la liste des applis dans le readme de FRSS (je me base dessus pour flus.io). Et aussi faudrait discuter si on intègre l'application différemment des autres dans un sens "officiel" ou non, mais tout ça est à voir avec la communauté (et je laisse Augier s'en occuper ^^)

@marien @nicofrand Pour l'instant, je considère pas l'application assez mûre pour une promotion officielle. Il manque encore quelques fonctionnalités parmi lesquelles :
- les thèmes (ça arrive dans la 2.0)
- l'édition et la suppression des flux (ça arrive dans la 2.0)
- le détail et l'enregistrement des images (ça arrive dans la 2.0)
- quelques problèmes d'optimisation (ça arrive dans la 2.0)

@marien @nicofrand
- le passage d'un article au suivant (pas prévu dans la 2.0)
- la gestion des erreurs de connection (je sais pas si je l'inclus dans la 2.0 ou pas, ça, c'est très demandé mais j'ai la flemme de bosser dessus...)
- le support des favoris (facile à faire mais je sais pas si ça sera dans la 2.0 ; moi, je m'en sers pas et j'ai la flemme de bosser dessus),

@marien @nicofrand

Et le dernier gros morceau : le support d'Android level < 23

L'API niveau 23, ça correspond à Android 6.0. C'est pas ouf. Ça correspond à environ 60% des devices. L'idéal, ce serait le support d'au moins niveau 21 et 22 (Android 5.0 et 5.1, 85% des devices) puis descendre gentillement à la 19 (Android 4.4, 95% des devices) puis, si possible jusqu'à la 15 ((4.0 ~100% des appareils couverts)

Follow

@marien @nicofrand

Y'a pas forcément besoin des 100% pour une officialisation, évidemment, mais le support des APIs jusqu'au niveau 21, déjà, ça serait pas mal.

Sauf que, comme je l'ai annoncé dans la dernière annonce, j'ai un bug sur les WebView qui affichent les articles qui fait crasher l'application sur les API 21 et 22. Et je sais pas comment le résoudre.

Donc voilà. Si y'a des motivés pour m'aider, encore une fois...

Sign in to participate in the conversation
Diaspodon

Diaspodon.fr est une instance majoritairement francophone et généraliste. Aucun contenu du fédiverse n'est filtré par une décision d'administrateur ou de modérateur.